<?php
/*
# ------------------------------------------------------------------------
# JA News Frontpage module for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------
*/

// no direct access
defined ( '_JEXEC' ) or die ( 'Restricted access' );
require_once (JPATH_SITE . DS . 'modules' . DS . 'mod_janews_fp' . DS . 'helper.php');

$mainframe = & JFactory::getApplication ( 'site' );

if (!defined ('_MODE_JAMEGAMENU_FP_ASSETS_')) {
	define ('_MODE_JAMEGAMENU_FP_ASSETS_', 1);
	JHTML::stylesheet('style.css','modules/'.$module->module.'/assets/');
	if (is_file(JPATH_SITE.DS.'templates'.DS.$mainframe->getTemplate().DS.'css'.DS.$module->module.".css"))
	JHTML::stylesheet($module->module.".css",'templates/'.$mainframe->getTemplate().'/css/');
}

//Show frontpage
$numberofheadlinenews = $params->get ( 'numberofheadlinenews', 0 );

$bigmaxchar = $params->get ( 'bigmaxchars', 0 );
$bigitems = $params->get ( 'bigitems', 0 );
$bigshowimage = $params->get ( 'bigshowimage', 0 );
$bigimg_w = $params->get ( 'bigimg_w', 0 );
$bigimg_h = $params->get ( 'bigimg_h', 0 );
$imgalign = '';

$smallmaxchar = $params->get ( 'smallmaxchars', 0 );
$smallitems = $numberofheadlinenews - $bigitems;
$smallshowimage = $params->get ( 'smallshowimage', 0 );
$smallimg_w = $params->get ( 'smallimg_w', 0 );
$smallimg_h = $params->get ( 'smallimg_h', 0 );

$fp_layout = trim ( $params->get ( 'fp_layout', 'telineiii_fp' ) );
if (strpos ( $fp_layout, '.php' ) > 0)
	$fp_layout = substr ( $fp_layout, 0, - 4 );
$rows = modJANewsHelperFP::getHLNews ( $numberofheadlinenews );

if (count ( $rows )) {
	$path = JModuleHelper::getLayoutPath ( 'mod_janews_fp', $fp_layout );
	if (file_exists ( $path )) {
		require ($path);
	}
}
?>